Page MenuHomePhabricator

Remove Media namespace from the list of filters
Closed, ResolvedPublic

Description

Reported here. Media namespace is an alias for File and can't be edited.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 28 2017, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It's not even really an alias. It's a special way to link to the raw file, not a namespace. It can be removed.

Change 387784 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Remove Media namespace from the list of RCFilters

https://gerrit.wikimedia.org/r/387784

Change 387784 merged by jenkins-bot:
[mediawiki/core@master] Remove Media namespace from the list of RCFilters

https://gerrit.wikimedia.org/r/387784

It's the same with "Special:", right? Probably all namespaces with negative IDs should not be shown.

Catrope added a subscriber: Catrope.Nov 2 2017, 3:13 PM

It's the same with "Special:", right? Probably all namespaces with negative IDs should not be shown.

Searching for "Special" does return results, though.

! In T176990#3729356, @matmarex wrote:

It's the same with "Special:", right? Probably all namespaces with negative IDs should not be shown.

@Catrope and @SBisson, is this correct? Is Special also an unnecessary, bogus or redundant namespace? In my tests just now it returns results that are all logged actions, I think. Should we remove it?

It's the same with "Special:", right? Probably all namespaces with negative IDs should not be shown.

Searching for "Special" does return results, though.

Hmm, only if you search for log entries; there are some weird interactions which may or may not be intentional (e.g. all abuse filter modifications have "Special:AbuseFilter" as the page title). This could be useful in some cases, I guess, but I think using the form on Special:Log is a better way to search for those. There wasn't a "Special:" option in the old interface (non-RCFilters).

Checked in betalabs - Media namespace is removed from Namespace list. It seems that :Special returns only specific logged entries - Edit filter modification log and 'Deletion log' (actions related to changed visibility of a logged event). Overall, the :Special filter seems useful - it returns the subset of Logged events.

QA Recommendation: Resolve

@Mattflaschen-Personal, do you have an opinion about whether Special is also an unnecessary, bogus or redundant namespace? Should we remove that too?

jmatazzoni closed this task as Resolved.Nov 3 2017, 6:58 PM

I agree with @Etonkovidova.

Although it's a special case, these are valid results (although the edit filters arguably should use a real namespace and content model, that's a bigger change for another day), and I think it's valid to allow showing only Special (or inverting to exclude Special).